#pragma once

#include "RESOURCE_COMMON.h"

void resource_music_state_free(Resources* self, const MusicType* types, u32 count);
void resource_music_state_init(Resources* self, const MusicType* types, u32 count);
void resource_music_free(Resources* self, MusicType type);
bool resource_music_init(Resources* self, MusicType type);
